<?php

namespace App\Libraries\ChunkedUpload\Contacts;

use App\Services\File\Upload\ProgressBar;
use Illuminate\Http\UploadedFile;

interface ChunkedUploadContact
{
    /**
     * @param UploadedFile $file
     * @param string $savePath
     * @param string $name
     * @param ProgressBar|null $progressBar 进度条
     * @return mixed
     */
    public function upload(UploadedFile $file, string $savePath, string $name, ?ProgressBar $progressBar): string;
}
