<?php

namespace App\Services\Notification\ActionBrowser;

use App\Services\Notification\Abstracts\ActionBrowserNotificationAbstract;

class TaskNotification extends ActionBrowserNotificationAbstract
{
    protected function userIDs(): array
    {
        $assignArray = isset($this->object->assign) && is_array($this->object->assign) ? $this->object->assign : [];
        $mailtoArray = isset($this->object->mailto) && is_array($this->object->mailto) ? $this->object->mailto : [];
        return (!empty($assignArray) || !empty($mailtoArray)) ? array_unique(array_merge($assignArray, $mailtoArray)) : [];
    }
}
