<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Artisan;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // Initialize route permission
        Artisan::call('lpc:initialize-route-permission');
        // Create Super Admin
        $this->call(SuperAdminSeeder::class);
        // Seed menus
        $this->call(MenusSeeder::class);
    }
}
